Skip to content
Proud to collaborate with Microsoft for Startups

docusign.favorite-templates.put-favorite-template ​

Set one or more templates as account favorites. Your request should include each template as a separate favoriteTemplatesContentItem JSON object, like this: { "favoriteTemplates": [ { "templateId": "6bc0584f-xxxx-xxxx-xxxx-35ab28cc44e1" }, { "templateId": "8ae9b3452-xxxx-xxxx-xxx-ac0de23fa57f" } ] }

Set one or more templates as account favorites.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
errordetailsjsonNo—This object describes errors that occur. It is only valid for responses and ignored in requests.
favoritetemplateslistNo—The favorite templates acted upon by the call.
templatesupdatedcountintegerNo—The number of templates successfully updated by the call. This property is read-only.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
errordetailsjsonNo—This object describes errors that occur. It is only valid for responses and ignored in requests.
favoritetemplateslistNo—The favorite templates acted upon by the call.
templatesupdatedcountintegerNo—The number of templates successfully updated by the call. This property is read-only.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v2.1/accounts/{accountId}/favorite_templates
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v2.1/accounts/{accountId}/favorite_templates
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.favorite-templates.put-favorite-template",
  "initial_data": {
    "base_url": "value",
    "accountid": "value"
  }
}